#ifndef GEOPIXELMODULE_H
#define GEOPIXELMODULE_H
#include "Identifier/Identifier.h"
#include "PixelGeoModel/GeoVPixelFactory.h"
class GeoLogVol;
class GeoPixelSiCrystal;

class GeoPixelModule : public GeoVPixelFactory {
 public:
  GeoPixelModule(GeoPixelSiCrystal &theSensor);
  virtual GeoVPhysVol* Build();
  double Thickness();
  double Width();
  double Length();
  Identifier getID();
 private:
  const GeoLogVol* theModule;
  Identifier _id;
  GeoPixelSiCrystal& m_theSensor;
};

#endif
