#-- start of make_header -----------------

#====================================
#  Library PixelG4_SD
#
#   Generated Mon Jun 12 11:38:05 2006  by jbendavid
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_PixelG4_SD_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_PixelG4_SD_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_PixelG4_SD

PixelG4_SD_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_PixelG4_SD = /tmp/CMT_$(PixelG4_SD_tag)_PixelG4_SD.make$(cmt_lock_pid)
else
cmt_local_tagfile_PixelG4_SD = $(PixelG4_SD_tag)_PixelG4_SD.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

PixelG4_SD_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_PixelG4_SD = /tmp/CMT_$(PixelG4_SD_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile_PixelG4_SD = $(PixelG4_SD_tag).make
endif

endif

-include $(cmt_local_tagfile_PixelG4_SD)

ifdef cmt_PixelG4_SD_has_target_tag

ifdef READONLY
cmt_final_setup_PixelG4_SD = /tmp/CMT_PixelG4_SD_PixelG4_SD_setup.make
cmt_local_PixelG4_SD_makefile = /tmp/CMT_PixelG4_SD$(cmt_lock_pid).make
else
cmt_final_setup_PixelG4_SD = $(bin)PixelG4_SD_PixelG4_SD_setup.make
cmt_local_PixelG4_SD_makefile = $(bin)PixelG4_SD.make
endif

else

ifdef READONLY
cmt_final_setup_PixelG4_SD = /tmp/CMT_PixelG4_SD_setup.make
cmt_local_PixelG4_SD_makefile = /tmp/CMT_PixelG4_SD$(cmt_lock_pid).make
else
cmt_final_setup_PixelG4_SD = $(bin)PixelG4_SD_setup.make
cmt_local_PixelG4_SD_makefile = $(bin)PixelG4_SD.make
endif

endif

ifdef READONLY
cmt_final_setup = /tmp/CMT_PixelG4_SD_setup.make
else
cmt_final_setup = $(bin)PixelG4_SD_setup.make
endif

PixelG4_SD ::


ifdef READONLY
PixelG4_SD ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi; \
	  /bin/rm -f checkuses

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'PixelG4_SD'

#-- end of make_header ------------------
#-- start of libary_header ---------------

PixelG4_SDlibname   = $(bin)$(library_prefix)PixelG4_SD$(library_suffix)
PixelG4_SDlib       = $(PixelG4_SDlibname).a
PixelG4_SDstamp     = $(bin)PixelG4_SD.stamp
PixelG4_SDshstamp   = $(bin)PixelG4_SD.shstamp

PixelG4_SD :: dirs  PixelG4_SDLIB
	@/bin/echo "------> PixelG4_SD ok"

#-- end of libary_header ----------------
#-- start of libary ----------------------

PixelG4_SDLIB :: $(PixelG4_SDlib) $(PixelG4_SDshstamp)
	@/bin/echo "------> PixelG4_SD : library ok"

$(PixelG4_SDlib) :: $(bin)PixelSensorSD.o
	$(lib_echo) library
	$(lib_silent) cd $(bin); \
	  $(ar) $(PixelG4_SDlib) $?
	$(lib_silent) $(ranlib) $(PixelG4_SDlib)
	$(lib_silent) cat /dev/null >$(PixelG4_SDstamp)

#------------------------------------------------------------------
#  Future improvement? to empty the object files after
#  storing in the library
#
##	  for f in $?; do \
##	    rm $${f}; touch $${f}; \
##	  done
#------------------------------------------------------------------

#
# We add one level of dependency upon the true shared library 
# (rather than simply upon the stamp file)
# this is for cases where the shared library has not been built
# while the stamp was created (error??) 
#

$(PixelG4_SDlibname).$(shlibsuffix) :: $(PixelG4_SDlib) requirements $(use_requirements) $(PixelG4_SDstamps)
	$(lib_silent) cd $(bin); QUIET=$(QUIET); $(make_shlib) "$(tags)" PixelG4_SD $(PixelG4_SD_shlibflags)

$(PixelG4_SDshstamp) :: $(PixelG4_SDlibname).$(shlibsuffix)
	@if test -f $(PixelG4_SDlibname).$(shlibsuffix) ; then cat /dev/null >$(PixelG4_SDshstamp) ; fi

PixelG4_SDclean ::
	$(cleanup_echo) objects
	$(cleanup_silent) cd $(bin); /bin/rm -f $(bin)PixelSensorSD.o

#-----------------------------------------------------------------
#
#  New section for automatic installation
#
#-----------------------------------------------------------------

install_dir = ${CMTINSTALLAREA}/$(tag)/lib
PixelG4_SDinstallname = $(library_prefix)PixelG4_SD$(library_suffix).$(shlibsuffix)

PixelG4_SD :: PixelG4_SDinstall

install :: PixelG4_SDinstall

PixelG4_SDinstall :: $(install_dir)/$(PixelG4_SDinstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then\
	  echo "installation done"; \
	fi

$(install_dir)/$(PixelG4_SDinstallname) :: $(bin)$(PixelG4_SDinstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  $(cmt_install_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(PixelG4_SDinstallname)" \
	    -out "$(install_dir)" \
	    -cmd "$(cmt_installarea_command)" \
	    -cmtpath "$($(package)_cmtpath)" ; \
	fi

##PixelG4_SDclean :: PixelG4_SDuninstall

uninstall :: PixelG4_SDuninstall

PixelG4_SDuninstall ::
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  $(cmt_uninstall_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(PixelG4_SDinstallname)" \
	    -out "$(install_dir)" \
	    -cmtpath "$($(package)_cmtpath)" ; \
	fi


#-- end of libary -----------------------
#-- start of dependency ------------------

$(bin)PixelG4_SD_dependencies.make :: dirs

ifndef QUICK
$(bin)PixelG4_SD_dependencies.make :: $(src)*.cxx  requirements $(use_requirements) $(cmt_final_setup_PixelG4_SD)
	@echo "------> (PixelG4_SD.make) Rebuilding $@"; \
	  args=`echo $? | sed -e "s#requirements.*##"`; \
	  $(build_dependencies) PixelG4_SD -all_sources $${args}
endif

#$(PixelG4_SD_dependencies)

-include $(bin)PixelG4_SD_dependencies.make

#-- end of dependency -------------------
#-- start of cpp_library -----------------

$(bin)PixelSensorSD.o : $(PixelSensorSD_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o PixelSensorSD.o $(use_pp_cppflags) $(PixelG4_SD_pp_cppflags) $(lib_PixelG4_SD_pp_cppflags) $(PixelSensorSD_pp_cppflags) $(use_cppflags) $(PixelG4_SD_cppflags) $(lib_PixelG4_SD_cppflags) $(PixelSensorSD_cppflags) $(PixelSensorSD_cxx_cppflags)  $(src)PixelSensorSD.cxx

#-- end of cpp_library ------------------
#-- start of cleanup_header --------------

clean :: PixelG4_SDclean
	@cd .

.DEFAULT::
	@echo Using default action for $@

PixelG4_SDclean ::
#-- end of cleanup_header ---------------
#-- start of cleanup_library -------------
	$(cleanup_echo) library
	-$(cleanup_silent) cd $(bin); /bin/rm -f $(library_prefix)PixelG4_SD$(library_suffix).a $(library_prefix)PixelG4_SD$(library_suffix).s? PixelG4_SD.stamp PixelG4_SD.shstamp
#-- end of cleanup_library ---------------

