#-- start of make_header -----------------

#====================================
#  Document config
#
#   Generated Mon Jun 12 11:38:04 2006  by jbendavid
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_config_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_config_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_config

PixelG4_SD_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_config = /tmp/CMT_$(PixelG4_SD_tag)_config.make$(cmt_lock_pid)
else
cmt_local_tagfile_config = $(PixelG4_SD_tag)_config.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

PixelG4_SD_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_config = /tmp/CMT_$(PixelG4_SD_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile_config = $(PixelG4_SD_tag).make
endif

endif

-include $(cmt_local_tagfile_config)

ifdef cmt_config_has_target_tag

ifdef READONLY
cmt_final_setup_config = /tmp/CMT_PixelG4_SD_config_setup.make
cmt_local_config_makefile = /tmp/CMT_config$(cmt_lock_pid).make
else
cmt_final_setup_config = $(bin)PixelG4_SD_config_setup.make
cmt_local_config_makefile = $(bin)config.make
endif

else

ifdef READONLY
cmt_final_setup_config = /tmp/CMT_PixelG4_SD_setup.make
cmt_local_config_makefile = /tmp/CMT_config$(cmt_lock_pid).make
else
cmt_final_setup_config = $(bin)PixelG4_SD_setup.make
cmt_local_config_makefile = $(bin)config.make
endif

endif

ifdef READONLY
cmt_final_setup = /tmp/CMT_PixelG4_SD_setup.make
else
cmt_final_setup = $(bin)PixelG4_SD_setup.make
endif

config ::


ifdef READONLY
config ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi; \
	  /bin/rm -f checkuses

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'config'

#-- end of make_header ------------------

config :: ../PixelG4_SD/config.h
	@/bin/echo "------> config.h ok"

../PixelG4_SD/config.h :: ../PixelG4_SD/config.h.in
	@if test -f ../PixelG4_SD/config.h.in; then \
	  cd ../PixelG4_SD; \
	  $(config_command) config.h.in config.h; \
        fi


#-- start of cleanup_header --------------

clean :: configclean
	@cd .

.DEFAULT::
	@echo Using default action for $@

configclean ::
#-- end of cleanup_header ---------------
