#ifndef GEOPIXELSERVICES_H
#define GEOPIXELSERVICES_H

#include "PixelGeoModel/GeoVPixelFactory.h"
class GeoLogVol;

class GeoPixelServices : public GeoVPixelFactory {
 public:
  GeoPixelServices(std::string);
  virtual GeoVPhysVol* Build();
  int NCylinders(){return _rmin.size();}
  void SetCylinder(int _n) {_nframe = _n;}
  double ZPos() {return _zpos[_nframe];}
  void initialize(std::string);
 private:
  std::vector<double> _rmin,_rmax,_halflength,_zpos;
  std::vector<std::string> material;
  std::string m_zone;
  int _nframe;


};

#endif
