#ifndef PIXELGEOMODEL_PIXELDETECTORTOOL_H
#define PIXELGEOMODEL_PIXELDETECTORTOOL_H

#include "GeoModelSvc/GeoModelTool.h"

class PixelDetectorTool : public GeoModelTool {

 public: 
  // Standard Constructor
  PixelDetectorTool( const std::string& type, const std::string& name, const IInterface* parent );
  // Standard Destructor
  virtual ~PixelDetectorTool();

  virtual StatusCode create( StoreGateSvc* detStore );
 private:
  //
  bool m_services;
  bool m_servicesOnLadder; //JBdV
  std::string m_detectorName;
  bool m_g3CompatibleDigits;
  bool m_dc1Geometry;
  bool m_alignable;
  bool m_useMagFieldSvc;
  bool m_initialLayout;
  bool m_devVersion;
};

#endif // PIXELGEOMODEL_PIXELDETECTORTOOL_H
