#-- start of make_header -----------------

#====================================
#  Document install_runtime
#
#   Generated Mon Jun 12 11:38:10 2006  by jbendavid
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_install_runtime_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_install_runtime_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_install_runtime

PixelG4_SD_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_install_runtime = /tmp/CMT_$(PixelG4_SD_tag)_install_runtime.make$(cmt_lock_pid)
else
cmt_local_tagfile_install_runtime = $(PixelG4_SD_tag)_install_runtime.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

PixelG4_SD_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_install_runtime = /tmp/CMT_$(PixelG4_SD_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile_install_runtime = $(PixelG4_SD_tag).make
endif

endif

-include $(cmt_local_tagfile_install_runtime)

ifdef cmt_install_runtime_has_target_tag

ifdef READONLY
cmt_final_setup_install_runtime = /tmp/CMT_PixelG4_SD_install_runtime_setup.make
cmt_local_install_runtime_makefile = /tmp/CMT_install_runtime$(cmt_lock_pid).make
else
cmt_final_setup_install_runtime = $(bin)PixelG4_SD_install_runtime_setup.make
cmt_local_install_runtime_makefile = $(bin)install_runtime.make
endif

else

ifdef READONLY
cmt_final_setup_install_runtime = /tmp/CMT_PixelG4_SD_setup.make
cmt_local_install_runtime_makefile = /tmp/CMT_install_runtime$(cmt_lock_pid).make
else
cmt_final_setup_install_runtime = $(bin)PixelG4_SD_setup.make
cmt_local_install_runtime_makefile = $(bin)install_runtime.make
endif

endif

ifdef READONLY
cmt_final_setup = /tmp/CMT_PixelG4_SD_setup.make
else
cmt_final_setup = $(bin)PixelG4_SD_setup.make
endif

install_runtime ::


ifdef READONLY
install_runtime ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi; \
	  /bin/rm -f checkuses

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'install_runtime'

#-- end of make_header ------------------


ifeq ($(INSTALLAREA),)
installarea = $(CMTINSTALLAREA)
else
ifeq ($(findstring `,$(INSTALLAREA)),`)
installarea = $(shell $(subst `,, $(INSTALLAREA)))
else
installarea = $(INSTALLAREA)
endif
endif

install_dir = ${installarea}/share

install_runtime :: install_runtimeinstall

install :: install_runtimeinstall

install_runtimeclean :: install_runtimeuninstall

uninstall :: install_runtimeuninstall



pixelsensitive_mac_dependencies = ../share/pixelsensitive.mac
pixelgeosensitive_mac_dependencies = ../share/pixelgeosensitive.mac


install_runtimeinstall :: ${install_dir}/pixelsensitive.mac
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/pixelsensitive.mac :: ../share/pixelsensitive.mac
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../share/pixelsensitive.mac`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "pixelsensitive.mac" "$(install_dir)" "cp -R" ; \
	fi

install_runtimeuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../share/pixelsensitive.mac`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "pixelsensitive.mac" "$(install_dir)" "cp -R" ; \
	fi


install_runtimeinstall :: ${install_dir}/pixelgeosensitive.mac
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/pixelgeosensitive.mac :: ../share/pixelgeosensitive.mac
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../share/pixelgeosensitive.mac`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "pixelgeosensitive.mac" "$(install_dir)" "cp -R" ; \
	fi

install_runtimeuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../share/pixelgeosensitive.mac`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "pixelgeosensitive.mac" "$(install_dir)" "cp -R" ; \
	fi
#-- start of cleanup_header --------------

clean :: install_runtimeclean
	@cd .

.DEFAULT::
	@echo Using default action for $@

install_runtimeclean ::
#-- end of cleanup_header ---------------
